---
- job:
    name: kolla-ansible-base
    pre-run: tests/pre.yml
    run: tests/run.yml
    post-run: tests/post.yml
    attempts: 5
    timeout: 7200
    required-projects:
      - openstack/kolla-ansible
    irrelevant-files:
      - ^.*\.rst$
      - ^doc/.*
      - ^lower-constraints.txt$
      - ^releasenotes/.*$
      - ^deploy-guide/.*$
      - ^test-requirements.txt$
      - ^etc/kolla/globals.yml$
    vars:
      scenario: aio
      enable_core_openstack: yes
      api_network_prefix: "192.0.2."
      api_network_prefix_length: "24"
      api_interface_name: vxlan0
      kolla_internal_vip_address: "192.0.2.10"
      address_family: 'ipv4'
    roles:
      - zuul: zuul/zuul-jobs

- job:
    name: kolla-ansible-upgrade-base
    parent: kolla-ansible-base
    vars:
      previous_release: stein
      scenario: upgrade

- job:
    name: kolla-ansible-ipv6-base
    parent: kolla-ansible-base
    voting: false
    vars:
      api_network_prefix: "fd::"
      api_network_prefix_length: "64"
      kolla_internal_vip_address: "fd::ff:0"
      address_family: 'ipv6'

- job:
    name: kolla-ansible-bifrost-base
    parent: kolla-ansible-base
    vars:
      scenario: bifrost
      install_type: source
      enable_core_openstack: no

- job:
    name: kolla-ansible-ironic-base
    parent: kolla-ansible-base
    voting: false
    files:
      - ^ansible/roles/(ironic|nova)/
      - ^tests/test-ironic.sh
    vars:
      scenario: ironic

- job:
    name: kolla-ansible-zun-base
    parent: kolla-ansible-base
    voting: false
    files:
      - ^ansible/roles/(zun|kuryr|etcd)/
      - ^tests/test-zun.sh
    vars:
      scenario: zun
